package com.xx.hbhconsumer.dialog.adapter

import android.content.Context
import android.view.View
import androidx.recyclerview.widget.LinearLayoutManager
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.data.http.respons.BoothBean
import com.xx.hbhconsumer.databinding.ItemDialogBoothBinding
import com.xx.hbhconsumer.dialog.data.TextListProvider
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter

class BoothListAdapter(context: Context?) :
    xxBaseRecyclerViewAdapter<ItemDialogBoothBinding, TextListProvider>(context),
    xxBaseRecyclerViewAdapter.OnItemClick<TextListProvider> {

    var booth: TextListProvider? =null

    init {
        itemClick=this;
    }

    override fun initLayout(): Int {
       return R.layout.item_dialog_booth
    }

    override fun covert(dataBind: ItemDialogBoothBinding?, data: TextListProvider?, position: Int) {
        dataBind?.textprovider=data;
        LinearLayoutManager.VERTICAL
        if (data?.ProviderId()?.equals(booth?.ProviderId()) == true)
        {
            dataBind?.tvIdbNo?.setTextColor(mContext.getColor(R.color.foreground))
            dataBind?.ivIdbSelect?.visibility= View.VISIBLE
        }else{
            dataBind?.tvIdbNo?.setTextColor(mContext.getColor(R.color.black))
            dataBind?.ivIdbSelect?.visibility= View.GONE
        }

    }
    fun getBuuthBusinessId():TextListProvider?
    {
        return booth
    }

    override fun itemClickCalBack(position: Int, data: TextListProvider?) {
        if (data != null) {
            booth= data
        }
        notifyDataSetChanged()
    }


}